#include "mince.gbl"

char *tgetent(tbuf)
char *tbuf;
{

	int fd, i;

	if((fd = open("termcap.psi", 0)) < 0){
		return 0;
	}

	if((i = read(fd, tbuf, 1024)) < 0){
		close(fd);
		return 0;
	}

	tbuf[i >= 1024 ? 1023 : i] = '\0';
	close(fd);
	return 1;
}
